%define version	0.9.4
%define release	%mkrel 7

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

# require a qtimm aware qt library:
%define qt_version 3.3.6-14mdk
%define scim_version	1.4.2
%define skim_version	1.4.1

Name:		scim-qtimm
Summary:	SCIM context plugin for qt-immodule
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	GPL
URL:		http://sf.net/projects/scim
Source0:	%{name}-%{version}.tar.bz2
Patch1:		%{name}-0.9.4-fix-crash.patch
Patch2:		%{name}-0.9.4-keyboard-layout.patch
Requires:	scim   >= %{scim_version}
Requires:	%{mklibname qt 3} >= %qt_version

BuildRequires:	scim-devel >= %{scim_version}
BuildRequires:	skim-devel >= %{skim_version}
BuildRequires:	qt3-devel  >= %qt_version

Obsoletes:       libscim-qtimm
Provides:        libscim-qtimm

%description
SCIM context plugin for qt-immodule.


%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
[[ -f configure ]] || ./bootstrap
%define __libtoolize /bin/true
%configure2_5x --disable-debug --with-qt-dir=%{qt3dir} --with-qt-libraries=%{qt3lib} --with-qt-includes=%{qt3include}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}%{qt3dir}/plugins/inputmethods/*.la
rm -f %{buildroot}%{_libdir}/kde3/*.la

# qt3plugins has its own location macro
mkdir -p %{buildroot}%{qt3plugins}/inputmethods/
mv %{buildroot}%{qt3dir}/plugins/inputmethods/*.so %{buildroot}%{qt3plugins}/inputmethods/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{qt3plugins}/inputmethods/*.so





%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.9.4-7mdv2008.1
+ Revision: 127043
- kill re-definition of %%buildroot on Pixel's request


* Fri Mar 23 2007 Funda Wang <fundawang@mandriva.org> 0.9.4-7mdv2007.1
+ Revision: 148565
- Add keyboard layout fix from Novell bug#116220.
- Apply novell patches.
- Added patch from Novell bug#206547

* Tue Feb 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.9.4-6mdv2007.1
+ Revision: 126465
- Adopt the new path of qt3plugins (Funda Wang <fundawang@gmail.com>)
- Kill arch decision on qt3dir (Funda Wang <fundawang@gmail.com>)

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Helio Chissini de Castro <helio@mandriva.com>
    - Uploading package ./scim-qtimm

* Wed May 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.9-2mdk
- factorize qt version
- kill requires-on-release

* Thu Apr 28 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.9-1mdk
- new release

* Tue Mar 01 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.5-1mdk
- new release
- change URL
- spec cleanup

* Fri Dec 03 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.7.5-2.svn089.3mdk
- fix problems on using SCIM remotely
- http://freedesktop.org/pipermail/scim/2004-October/001036.html

* Sun Sep 19 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.7.5-1mdk
- new release
- fix URL

* Wed Jul 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.1-0.r03.1mdk
- fix buildrequires
- initial spec for mdk (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

